commit:     3bd0db93503fefd506b6dc3700622ee4f5047ff0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  9 03:06:55 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jul  9 03:26:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3bd0db93

dev-python/hypercorn: Bump to 0.14.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/hypercorn/Manifest                |  1 +
 dev-python/hypercorn/hypercorn-0.14.4.ebuild | 48 ++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/hypercorn/Manifest b/dev-python/hypercorn/Manifest
index 09c22ff73087..b66ae29a2500 100644
--- a/dev-python/hypercorn/Manifest
+++ b/dev-python/hypercorn/Manifest
@@ -1 +1,2 @@
 DIST hypercorn-0.14.3.gh.tar.gz 154930 BLAKE2B 
da827d586307ace6ef9ddb8ca4046ebc5c745df1d48152ed78b948751a7d472c73d5f8310e58266158af4739e14f2960a46c2e7fc7f12bf7629a3edb3821b58f
 SHA512 
f0d69ab1883379058112907547e6f89a4a7114d7f4851b92f0c465d73def9cc15508e3981bda7e66ce3c00e896f7fb221b3dcd8bee6a51d8429572b678b7ade8
+DIST hypercorn-0.14.4.gh.tar.gz 156001 BLAKE2B 
262cbaba3df674b07dd5f6c15418cac18b46c2303a8ff616c8d2e968ff233d15bf616f2d3d0dbacda03f819251453be1b00cee4b98fdfaaed49f40cdcfb43119
 SHA512 
461b6fab72586b3bdea25ded6c0439595a8f84d5fb0b1a264f976926d9d34cb21f52bd10c84b9180d08fb05942f9fdb842343d4c6c476dcd60a26399387a2373

diff --git a/dev-python/hypercorn/hypercorn-0.14.4.ebuild 
b/dev-python/hypercorn/hypercorn-0.14.4.ebuild
new file mode 100644
index 000000000000..cb1241731e13
--- /dev/null
+++ b/dev-python/hypercorn/hypercorn-0.14.4.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="A ASGI Server based on Hyper libraries and inspired by Gunicorn"
+HOMEPAGE="
+       https://github.com/pgjones/hypercorn/
+       https://pypi.org/project/hypercorn/
+"
+SRC_URI="
+       https://github.com/pgjones/hypercorn/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86"
+
+RDEPEND="
+       dev-python/h11[${PYTHON_USEDEP}]
+       >=dev-python/h2-3.1.0[${PYTHON_USEDEP}]
+       dev-python/priority[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               >=dev-python/exceptiongroup-1.1.0[${PYTHON_USEDEP}]
+               dev-python/tomli[${PYTHON_USEDEP}]
+       ' 3.{8..10})
+       >=dev-python/wsproto-0.14.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+               dev-python/pytest-trio[${PYTHON_USEDEP}]
+               >=dev-python/trio-0.22.0[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i -e 's:--no-cov-on-fail::' pyproject.toml || die
+       distutils-r1_src_prepare
+}

Reply via email to